import React from 'react';
import { Modal } from 'antd';

export default function Warning({ close, okButtonClick }) {
  return (
    <Modal
      title="Предупреждение "
      visible={true}
      okText={'Да'}
      cancelText={'Отмена'}
      onOk={okButtonClick}
      onCancel={close}
    >
      <p>
        Требования по содержанию отзыва: — отзыв должен быть информативен; — отзыв должен
        быть субъективным, то есть Пользователь должен создавать отзыв исключительно
        на основе личного опыта; — отзыв должен быть достоверным, то есть не содержать
        заведомо ложных сведений; — Пользователь гарантирует соблюдение требований
        законодательства Российской Федерации при размещении отзывов. Администратор
        отклоняет и не публикует отзывы следующего содержания: — отзыв не основан
        на реальном опыте, содержит заведомо ложную информацию и/или информацию, порочащую
        честь достоинство и репутацию третьих лиц, нарушает законодательство Российской
        Федерации; — отзыв содержит чрезмерно эмоциональные или оскорбительные
        высказывания, ненормативную лексику или информацию, разжигающую межнациональную
        рознь; — отзыв имеет цель вступить в дискуссию либо оскорбить других
        пользователей; — отзыв содержит информацию, не относящуюся к объекту и/или услуге,
        о которой он написан; — отзыв содержит ссылки на другие сайты, коммерческие
        предложения или материалы рекламного характера (в том числе номера телефонов,
        адреса, ссылки на другие сайты); — отзыв содержит личные данные других людей;
        Пользователю запрещается писать отзывы, выставлять оценки за вознаграждение и/или
        подарки от третьих лиц, а также в рамках конкурсов или акций, проводимых третьими
        лицами. Администратор оставляет за собой право удалить и/или не публиковать
        на Сайте любые отзывы, оценки в любое время без объяснения причин и без
        согласования с Пользователем. Администратор не принимает на себя обязательств
        сообщать Пользователю о причинах отклонения отзывов, оценок и/или удаления ранее
        опубликованных отзывов, оценок. Пользователь соглашается, что оставленные
        им отзывы и поставленные оценки могут быть опубликованы на Сайте и использованы
        Администратором, на сайтах третьих лиц, без дополнительного согласия Пользователя.
        Пользователь несет ответственность за достоверность сведений, содержащихся
        в оставленных им отзывах. Всю ответственность за опубликованные материалы несет
        Пользователь: автор отзывов. Администратор не несет ответственности за содержание
        и достоверность отзывов и не участвует в судебных и любых других разбирательствах
        между третьими лицами в связи с размещением на Сайте отзывов.
      </p>
    </Modal>
  );
}
